## dctrl2xml 0.19

=== doc/Makefile ===
all: dctrl2xml.1

%.1: %.xml
	docbook2x-man $<

clean:
	rm -f dctrl2xml.1

## dctrl2xml 0.2

=== debian/changelog ===
dctrl2xml (0.2) unstable; urgency=low

  * Added command line option to specify the input's encoding.
  * Minor bugs fixed.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Thu, 13 Jan 2005 18:53:24 +0100

dctrl2xml (0.1) unstable; urgency=low

  * Initial release.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Wed, 12 Jan 2005 20:34:50 +0100

=== debian/control ===
Source: dctrl2xml
Section: utils
Priority: optional
Maintainer: Frank S. Thomas <frank@thomas-alfeld.de>
Build-Depends-Indep: cdbs (>= 0.4.0), debhelper (>= 4.1.0), python, python (>= 2.3), python-dev
Standards-Version: 3.6.1

Package: dctrl2xml
Architecture: all
Depends: ${python:Depends}
Description: Debian control file to XML converter
 no description yet

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

## dctrl2xml 0.13

=== debian/changelog ===
dctrl2xml (0.13) unstable; urgency=low

  * Switched from CDBS to debhelper 7.
  * Bumped Standards-Version from 3.7.3 to 3.8.0, no changes required.

 -- Frank S. Thomas <fst@debian.org>  Sun, 15 Jun 2008 10:08:39 +0200

dctrl2xml (0.12) unstable; urgency=low

  * Updated dctrl2xml to use ElementTree from Python's standard library,
    because it is part of the standard library since 2.5 and this version
    is the default Python version in Lenny now:
    - dctrl2xml: Import functions from xml.etree.cElementTree instead of
      elementtree.ElementTree.
    - debian/control: Removed the dependency on python-elementtree.
    - debian/pyversions: Bumped the required Python version to "2.5-".

 -- Frank S. Thomas <fst@debian.org>  Fri, 25 Apr 2008 14:08:05 +0200

dctrl2xml (0.11) unstable; urgency=low

  * dctrl2xml:
    - Parse the bug numbers of the Closes field in .changes files.
    - Parse the new Checksums-Sha{1,256} fields that have been introduced in
      dpkg 1.14.17. For this change the //files/*/md5sum element was renamed
      to //files/*/checksum.
    - Parse the Python-Version field.

 -- Frank S. Thomas <fst@debian.org>  Fri, 11 Apr 2008 16:22:32 +0200

dctrl2xml (0.10) unstable; urgency=low

  * doc/dctrl2xml.xml:
    - Fixed Lintian's "I: hyphen-used-as-minus-sign" by enclosing the command
      examples with the <userinput> element.
    - Updated from DocBook 4.2 to 4.4, which is the latest version in etch.
    - Enhanced the command synopsis and added to the description of the --file
      option that dctrl2xml can read plain text, gzip, bzip2 or ZIP files.
  * Updated the debhelper compatibility level from V5 to V6 since this is the
    current recommended level and raised the build dependency to "debhelper
    (>= 6)".
  * dctrl2xml: Improved parse_filelist() and added error handling to it.

 -- Frank S. Thomas <fst@debian.org>  Thu, 24 Jan 2008 01:04:28 +0100

dctrl2xml (0.9) unstable; urgency=low

  * dctrl2xml:
    - Do not fail on truncated tags where the "::" separator is missing.
    - Improved contacts parsing to handle strings such as "john@example.org
      (John R. Doe)".
    - Instead of replacing only "3" with "_3" in tags, prefix all tags that
      begin with a decimal digit with an underscore.
    - Added the "generator" attribute, whose value is "dctrl2xml/$VERSION", to
      the topmost element of dctrl2xml's XML output.
    - Parse also the file list of the Conffiles field.
    - Print error messages to standard error if the format of field data of
      several fields could not be recognized.
    - Do not fail if 'UTC' is used as time zone designator (as it is done in
      Release files), although RFC 2822 does not seem to permit this.
    - Do not discard the last (or the only) control entry if data input does
      not end with an empty line.
  * debian/rules: Added test target that stress tests dctrl2xml with the dpkg
    available file and the output of "apt-cache dumpavail".
  * debian/control: Moved python-support from Build-Depends to
    Build-Depends-Indep, because it is not required for the clean target.

 -- Frank S. Thomas <fst@debian.org>  Wed, 02 Jan 2008 10:11:11 +0100

dctrl2xml (0.8) unstable; urgency=low

  * dctrl2xml:
    - Print dctrl2xml's version number if the --version option is given.
    - Convert RFC 2822 dates in Date fields to a ISO 8601 representation and
      save them in <date_iso8601> elements.
    - Enabled Debtags parsing again, it was disabled in 0.7 due to errors
      when parsing "compressed tags". This has been corrected.
  * doc/dctrl2xml.xml: Added reference to deb-control(5) to the SEE ALSO
    section.
  * stylesheets/pkglist{,compact}.xsl: Reformatted and added example usage of
    dctrl2xml and the stylesheets with a Packages file.

 -- Frank S. Thomas <fst@debian.org>  Sat, 22 Dec 2007 17:41:24 +0100

dctrl2xml (0.7) unstable; urgency=low

  * Initial upload to Debian. (closes: #456597)
  * dctrl2xml:
    - DebianControlParser.parse_package_string() has been very much simplified
      by using Deb822 from the debian_bundle.deb822 module. This requires a
      dependency on the python-debian package.
    - Do not parse the long description for upstream author or homepage. The
      Homepage field is a proper control field since dpkg 1.14.6 and the
      Author pseudo field in the long description is not widely used.
    - Added Breaks to the list of package relations.
    - Improved the parsing of the Description and Files fields.
    - Instead of reading entire files, read them line by line and dump the XML
      tree after an empty line occured. This improves dctrl2xml's performance
      and decreases it's memory usage.
  * doc/dctrl2xml.xml:
    - Added the DESCRIPTION section and updated the examples.
    - Removed &lt; and &gt; from email elements, because docbook2x-man adds
      those now itself.
  * debian/control:
    - Bumped Standards-Version from 3.7.2 to 3.7.3, no changes required.
    - Removed Homepage pseudo field from description, there is no homepage.
    - Added Vcs-{Git,Browser} fields to the source stanza.
    - Reworked the short description and enhanced the long description. Thanks
      to Justin B Rye <jbr@edlug.org.uk> for the review.
  * debian/rules: Do not ignore "make clean" errors.
  * Changed my email address to fst@debian.org.

 -- Frank S. Thomas <fst@debian.org>  Tue, 18 Dec 2007 21:22:44 +0100

dctrl2xml (0.6) unstable; urgency=low

  * scripts/dctrl2xml:
    - Now parses also debtags. Facets and tags are both elements and tags are
      always empty. Colons in tags are replaced with a hyphen.
    - Removed the second level <package> element which was a duplicate of
      the <name> element.
  * doc/dctrl2xml.xml: Added an example which pipes dctrl2xml's output to
    xmllint to reformat and reindent the XML to make it easier to read.
  * debian/control: Added homepage field to long description.



=== debian/control ===
Source: dctrl2xml
Section: utils
Priority: optional
Maintainer: Frank S. Thomas <fst@debian.org>
Build-Depends: debhelper (>= 7), python-dev (>= 2.3.5-11)
Build-Depends-Indep: python-support (>= 0.5.3), docbook2x, docbook-xml
Standards-Version: 3.8.0
Vcs-Git: git://git.debian.org/git/users/fst/dctrl2xml.git
Vcs-Browser: http://git.debian.org/?p=users/fst/dctrl2xml.git

Package: dctrl2xml
Architecture: all
Depends: ${python:Depends}, python-debian
Description: Debian control data to XML converter
 This package contains the dctrl2xml tool that converts Debian control
 data into an XML representation. It can be used to convert data which
 is normally found in debian/control, .changes, .dsc, Packages,
 Sources, and similar files to XML.
 .
 For most fields dctrl2xml just uses the field name as element name and
 the field data as element content. For other fields, such as package
 interrelationship fields (Depends, Build-Depends, etc.) or the Files
 field in .changes or Sources files, dctrl2xml additionally parses their
 field data to represent it in a more fine-structured form.

=== debian/rules ===
#!/usr/bin/make -f

build:
	$(MAKE) -C doc
	dh build

clean:
	$(MAKE) -C doc clean
	dh clean

%:
	dh $@

test:
	ERRF=`mktemp`; \
	./dctrl2xml -f /var/lib/dpkg/available 2> $$ERRF | xmllint --format -; \
	apt-cache dumpavail | ./dctrl2xml 2> $$ERRF | xmllint --format -; \
	cat $$ERRF

.PHONY: test

## dctrl2xml 0.14

=== debian/changelog ===
dctrl2xml (0.14) unstable; urgency=low

  * debian/control:
    - Added ${misc:Depends} to Depends to appease Lintian.
    - Bumped Standards-Version from 3.8.0 to 3.8.1, no changes required.

 -- Frank S. Thomas <fst@debian.org>  Thu, 12 Mar 2009 11:07:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Frank S. Thomas <fst@debian.org>
 Build-Depends: debhelper (>= 7), python-dev (>= 2.3.5-11)
 Build-Depends-Indep: python-support (>= 0.5.3), docbook2x, docbook-xml
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 Vcs-Git: git://git.debian.org/git/users/fst/dctrl2xml.git
 Vcs-Browser: http://git.debian.org/?p=users/fst/dctrl2xml.git
 
 Package: dctrl2xml
 Architecture: all
-Depends: ${python:Depends}, python-debian
+Depends: ${python:Depends}, ${misc:Depends}, python-debian
 Description: Debian control data to XML converter
  This package contains the dctrl2xml tool that converts Debian control
  data into an XML representation. It can be used to convert data which

## dctrl2xml 0.15

=== debian/changelog ===
dctrl2xml (0.15) unstable; urgency=low

  * Bumped Standards-Version from 3.8.1 to 3.8.3, no changes required.
  * Adapted debian/copyright to DEP5.
  * dctrl2xml: Improved code with Pylint's help.
  * Switched to source format "3.0 (native)".

 -- Frank S. Thomas <fst@debian.org>  Sun, 22 Nov 2009 01:54:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Frank S. Thomas <fst@debian.org>
 Build-Depends: debhelper (>= 7), python-dev (>= 2.3.5-11)
 Build-Depends-Indep: python-support (>= 0.5.3), docbook2x, docbook-xml
-Standards-Version: 3.8.1
+Standards-Version: 3.8.3
 Vcs-Git: git://git.debian.org/git/users/fst/dctrl2xml.git
 Vcs-Browser: http://git.debian.org/?p=users/fst/dctrl2xml.git

## dctrl2xml 0.17

=== debian/changelog ===
dctrl2xml (0.17) unstable; urgency=low

  * dctrl2xml:
    - Node texts can be any string objects (str or unicode), so check for
      types.StringTypes because it contains StringType and UnicodeType.
    - Use list and dict instead of types.ListType and types.DictType since
      the Python documentation says this is preferred over using the types
      module.
    - Use package 'debian' instead of the deprecated 'debian_bundle'.

 -- Frank S. Thomas <fst@debian.org>  Sun, 18 Apr 2010 10:15:38 +0200

dctrl2xml (0.16) unstable; urgency=low

  * Fixed typo in doc/dctrl2xml.xml ("similiar" -> "similar").
  * dctrl2xml: Added {XSBC-,}Original-Maintainer to the list of fields that
    contain contact information.
  * debian/control:
    - Bumped Standards-Version from 3.8.3 to 3.8.4, no changes required.
    - Replaced the python-dev build dependency by python as suggested by
      Lintian.

 -- Frank S. Thomas <fst@debian.org>  Sun, 14 Mar 2010 13:17:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Frank S. Thomas <fst@debian.org>
-Build-Depends: debhelper (>= 7), python-dev (>= 2.3.5-11)
+Build-Depends: debhelper (>= 7), python
 Build-Depends-Indep: python-support (>= 0.5.3), docbook2x, docbook-xml
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Git: git://git.debian.org/git/users/fst/dctrl2xml.git
 Vcs-Browser: http://git.debian.org/?p=users/fst/dctrl2xml.git

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 
 build:
+	dh build
 	$(MAKE) -C doc
-	dh build
 
 clean:
+	dh clean
 	$(MAKE) -C doc clean
-	dh clean
 
 %:
 	dh $@
@@ -17,4 +17,4 @@
 	apt-cache dumpavail | ./dctrl2xml 2> $$ERRF | xmllint --format -; \
 	cat $$ERRF
 
-.PHONY: test
+.PHONY: build clean test

## dctrl2xml 0.18

=== debian/changelog ===
dctrl2xml (0.18) unstable; urgency=low

  * dctrl2xml:
    - Added option to output control data as JSON instead of XML.
    - Added "Drivers" to the list of fields that contain contact information.
      This field is used in Debian Enhancement Proposals (DEPs).
    - Changed parse_date() to not fail on non RFC 2822 formatted dates.
  * Bumped Standards-Version from 3.8.4 to 3.9.1, no changes required.
  * Added test suite that compares previous, saved conversions with
    temporary conversions which are made with the current dctrl2xml.

 -- Frank S. Thomas <fst@debian.org>  Sun, 12 Dec 2010 12:27:38 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Frank S. Thomas <fst@debian.org>
 Build-Depends: debhelper (>= 7), python
 Build-Depends-Indep: python-support (>= 0.5.3), docbook2x, docbook-xml
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/users/fst/dctrl2xml.git
 Vcs-Browser: http://git.debian.org/?p=users/fst/dctrl2xml.git

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh build
	$(MAKE) -C doc

clean:
	dh clean
	$(MAKE) -C doc  clean

%:
	dh $@

.PHONY: build clean

## dctrl2xml 0.18+nmu1

=== debian/changelog ===
dctrl2xml (0.18+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh_python2 (Closes: #785978)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 26 Aug 2015 13:04:55 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Frank S. Thomas <fst@debian.org>
-Build-Depends: debhelper (>= 7), python
-Build-Depends-Indep: python-support (>= 0.5.3), docbook2x, docbook-xml
+Build-Depends: debhelper (>= 7), dh-python, python
+Build-Depends-Indep: docbook2x, docbook-xml
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/users/fst/dctrl2xml.git
 Vcs-Browser: http://git.debian.org/?p=users/fst/dctrl2xml.git

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,6 @@
 	$(MAKE) -C doc  clean
 
 %:
-	dh $@
+	dh $@ --with python2
 
 .PHONY: build clean

## dctrl2xml 0.18+nmu1ubuntu1

=== debian/changelog ===
dctrl2xml (0.18+nmu1ubuntu1) zesty; urgency=medium

  * debian/control:
    + Use secure VCS URL.
  * debian/rules:
    + Use dh_auto_build correctly to fix FTBFS with dpkg-buildpackage -A.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 07 Feb 2017 10:25:37 +0530

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: dctrl2xml
 Section: utils
 Priority: optional
-Maintainer: Frank S. Thomas <fst@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Frank S. Thomas <fst@debian.org>
 Build-Depends: debhelper (>= 7), dh-python, python
 Build-Depends-Indep: docbook2x, docbook-xml
 Standards-Version: 3.9.1
-Vcs-Git: git://git.debian.org/git/users/fst/dctrl2xml.git
-Vcs-Browser: http://git.debian.org/?p=users/fst/dctrl2xml.git
+Vcs-Git: https://git.debian.org/git/users/fst/dctrl2xml.git
+Vcs-Browser: https://git.debian.org/?p=users/fst/dctrl2xml.git
 
 Package: dctrl2xml
 Architecture: all

## dctrl2xml 0.19

=== debian/changelog ===
dctrl2xml (0.19) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA team.
  * Fix FTBFS with --no-arch-any [Santiago Vila] (Closes: #831953)
  * Debhelper 10.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 25 Jul 2017 06:18:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: dctrl2xml
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Frank S. Thomas <fst@debian.org>
-Build-Depends: debhelper (>= 7), dh-python, python
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 10), dh-python, python
 Build-Depends-Indep: docbook2x, docbook-xml
-Standards-Version: 3.9.1
-Vcs-Git: https://git.debian.org/git/users/fst/dctrl2xml.git
-Vcs-Browser: https://git.debian.org/?p=users/fst/dctrl2xml.git
+Standards-Version: 4.0.0
+Vcs-Git: git://git.debian.org/git/users/fst/dctrl2xml.git
+Vcs-Browser: http://git.debian.org/?p=users/fst/dctrl2xml.git
 
 Package: dctrl2xml
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-build:
-	dh build
+override_dh_auto_build:
+	dh_auto_build
 	$(MAKE) -C doc
 
 clean:

## dctrl2xml 0.20

=== debian/changelog ===
dctrl2xml (0.20) unstable; urgency=medium

  * QA upload.
  * Fix the build with debhelper 11.3.5.

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Aug 2018 21:17:18 +0300

## dctrl2xml 0.20build1

=== debian/changelog ===
dctrl2xml (0.20build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:32:14 +0000

## dctrl2xml 0.21

=== debian/changelog ===
dctrl2xml (0.21) unstable; urgency=medium

  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:11:54 +0800

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C doc  clean

%:
	dh $@ --with python2

## dctrl2xml 0.23

=== debian/changelog ===
dctrl2xml (0.23) unstable; urgency=medium

  * Fix autopkgtest dependencies

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 14 Sep 2024 11:09:18 -0500

dctrl2xml (0.22) unstable; urgency=medium

  * Source-only upload
  * Add autopkgtest

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 14 Sep 2024 00:33:05 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: dctrl2xml
 Section: utils
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 10), dh-python, python
+Maintainer: Stephen Gelman <ssgelm@debian.org>
+Build-Depends: debhelper-compat (= 13), dh-python, python3
 Build-Depends-Indep: docbook2x, docbook-xml
-Standards-Version: 4.0.0
-Vcs-Git: git://git.debian.org/git/users/fst/dctrl2xml.git
-Vcs-Browser: http://git.debian.org/?p=users/fst/dctrl2xml.git
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/ssgelm/dctrl2xml.git
+Vcs-Browser: https://salsa.debian.org/ssgelm/dctrl2xml
+Rules-Requires-Root: no
 
 Package: dctrl2xml
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-debian
+Depends: ${python3:Depends}, ${misc:Depends}, python3-debian
 Description: Debian control data to XML converter
  This package contains the dctrl2xml tool that converts Debian control
  data into an XML representation. It can be used to convert data which

## dctrl2xml 0.24

=== test/Makefile ===
SCRIPT  := ../dctrl2xml
SOURCES := $(wildcard *.in)
OBJECTS := $(SOURCES:.in=.xml_) \
           $(SOURCES:.in=.json_)

all: $(OBJECTS)

compare = cmp $(1) $(patsubst %_,%,$(1))

%.xml_: %.in
	$(SCRIPT) --xml -f "$<" | xmllint --format - | \
	  sed 's/dctrl2xml\/[0-9]\+\.[0-9]\+/dctrl2xml/' > "$@"
	$(call compare,$@)

%.json_: %.in
	$(SCRIPT) --json -f "$<" > "$@"
	$(call compare,$@)

stress-test:
	ERRF=`mktemp`; \
	$(SCRIPT) -f /var/lib/dpkg/available 2> $$ERRF | xmllint --format -; \
	apt-cache dumpavail | $(SCRIPT) 2> $$ERRF | xmllint --format -; \
	cat $$ERRF

clean:
	rm -f $(OBJECTS)

.PHONY: clean stress-test

=== debian/changelog ===
dctrl2xml (0.24) unstable; urgency=medium

  * Add build depends on python3-setuptools (Closes: #1100209)

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 14 Mar 2025 21:13:48 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Stephen Gelman <ssgelm@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3
+Build-Depends: debhelper-compat (= 13), dh-python, python3, python3-setuptools
 Build-Depends-Indep: docbook2x, docbook-xml
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/ssgelm/dctrl2xml.git

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 	$(MAKE) -C doc  clean
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: test-outputs
Depends: @, libxml2-utils, diffutils,
Restrictions: allow-stderr,

## dctrl2xml 0.24build1

=== debian/changelog ===
dctrl2xml (0.24build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 19:46:03 +0000
